#pragma rtGlobals=3		// Use modern global access method.

	
	Function AppendData( ) 
		SetDataFolder root:
			If( StrLen( WinList( "*", ";", "WIN:1") ) == 0 )
				SetDataFolder root:
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_XAxisName, G_TorB
			Variable/G G_AxisTop, G_AxisBottom
			String Technique = G_Technique, LorR, XAxisName = G_XAxisName
			String Data = G_Data, Hole = G_Hole, Scale = G_Scale, TorB = G_TorB
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom, i
			String XAxisNameList = XAxisList( ), TempName, TempNames = ""
			For( i = 0; i < ItemsInList( XAxisNameList ); i += 1 ) //    this loop removes  "Axis" from the end of the axes names for the X axis list below
				TempName = StringFromList( i, XAxisNameList )
				TempName = TempName[ 0, StrLen( TempName ) - 5 ]
				TempNames = TempNames + TempName + ";"
			EndFor
 			XAxisNameList = TempNames		
			Prompt Hole, "Hole (e.g. U1337B):"
			Prompt Technique, "Technique (e.g. GRA, RSC, MS, etc):"
			Prompt Data, "Data (e.g. GRA, AStar, FE_Area, etc):"
			Prompt Scale, "Depth/Age Scale ( e.g. CSF, CCSF, mbsf, mcd, Age, mybp ... ) ?"
			Prompt XAxisName, "Select X Axis", popup, XAxisNameList + ";OtherX"
			Prompt AxisTop, "Y Axis Portion Top (%):"
			Prompt AxisBottom, "Y Axis Portion Bottom (%):"
			Prompt LorR, " Select Y Axis?", popup, "R;L;"  + YAxisList()
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
			DoPrompt "Append_Data", Hole, Technique, Data, AxisBottom, AxisTop, LorR, XAxisName, Scale; 
			G_Data = Data; G_Hole= Hole; G_Scale = Scale; G_Technique = Technique
			G_AxisTop = AxisTop; G_AxisBottom = AxisBottom; G_XAxisName = XAxisName
			AbortOnValue V_Flag, 0 // This aborts the function - after the globals have been reset
			If( StringMatch( XAxisName, "OtherX" ) )
				Prompt XAxisName, "New Axis Name:"
				Prompt TorB, "New Axis Position:", popup, "T;B"
				DoPrompt "Append_Data_F", XAxisName, TorB
				G_XAxisName = XAxisName; G_TorB = TorB
				AbortOnValue V_Flag, 0
			EndIf		
			AppendData_F( Hole, Technique, Data, Scale, XAxisName, TorB, AxisBottom, AxisTop, LorR ) 
			Print "\rAppendData_F( \"" + Hole + "\", \"" + Technique + "\", \"" + Data + "\", \"" + Scale + "\", \"" + XAxisName + "\", " + "\"" + TorB + "\",", AxisBottom,",", AxisTop, ", \"" + LorR + "\" )" 
	End
		
	------------------------------------------------------------------------------
	
	Function AppendData_F( Hole, Technique, Data, Scale, XAxisName, TorB, AxisBottom, AxisTop, LorR ) 
			String Hole, Technique, Data, XAxisName, Scale, LorR, TorB
			Variable AxisTop, AxisBottom
		SetDataFolder root:		
			String XAxis = XAxisName + "Axis" // XAxisName becomes the name for the x axis with "Axis" added
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
		SetDataFolder $Folder  // Go to the data folder to set wave refs
			Check4DoubleUnderscoresInNames( )
			WAVE DataWave = $Hole+"_"+Technique+"_"+Data, XWave = $Hole+"_"+Technique+"_"+Scale // Set wave refs
			If( !Exists( NameOfWave( DataWave  ) ) ) // Check for the data wave
				SetDataFolder root:
				Abort "Data Wave " + NameOfWave( DataWave ) + " Is Not In The " + Technique + " Data Folder"
			EndIf
			If( !Exists( NameOfWave( XWave ) ) )  // Check for the depth wave
				SetDataFolder root:
				Abort "Data Wave " + NameOfWave( XWave ) + " Is Not In The " + Technique + " Data Folder"
			EndIf
			If( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )  // Check to be sure there is an open graph when appending data
				SetDataFolder root:
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
		SetDataFolder root:	
			If( StringMatch( LorR, "L" ) || StringMatch( LorR, "R" )	)
				If( Stringmatch( TorB, "T" ) ) // This is for the X axis on the top
					If( StringMatch( LorR, "R" ) )
						AppendToGraph/T = $XAxis /R = $NameOfWave( DataWave ) DataWave vs XWave 
					Else
						AppendToGraph/T = $XAxis /L =  $NameOfWave( DataWave ) DataWave vs XWave
					EndIf
				Else  // This is for the X axis on the bottom
					If( StringMatch( LorR, "R" ) ) 
						AppendToGraph/B = $XAxis/R = $NameOfWave( DataWave ) DataWave vs  XWave
					Else
						AppendToGraph/B = $XAxis/L = $NameOfWave( DataWave ) DataWave vs XWave
					EndIf
				EndIf
				Label $NameOfWave( DataWave ) "\\Z16\\f01" + Hole +"_" + Data
				ModifyGraph axisEnab( $NameOfWave( DataWave ) ) = { AxisBottom/100, AxisTop/100 }
				ModifyGraph lblPos( $NameOfWave( DataWave ) ) = 70, freePos( $NameOfWave( DataWave )) = 0
				ModifyGraph lsize( $NameOfWave( DataWave ) ) = 2
			Else
				If( Stringmatch( TorB, "T" ) ) // This is for the X axis on the top
						AppendToGraph/T = $XAxis /L = $LorR DataWave vs XWave 
				Else  // This is for the X axis on the bottom
						AppendToGraph/B = $XAxis/L = $LorR DataWave vs  XWave
				EndIf
			EndIf
			ModifyGraph fSize=16
			ModifyGraph nticks($XAxis)=10,minor($XAxis)=1,freePos( $XAxis ) = 0
			DoWindow/H 
	End
			
	------------------------------------------------------------------------------
