#pragma rtGlobals=3		// Use modern global access method.


------------------------------------------------------------------------------
	
	Function Append_1_Core_Data( ) 
		SetDataFolder root:
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_New_or_App, G_TorB
			Variable/G G_AxisTop, G_AxisBottom, G_Core
			String Technique = G_Technique, LorR, TorB = G_TorB
			String Data = G_Data, Hole = G_Hole, Scale = G_Scale, New_or_App = G_New_or_App
			String Axes = ""
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom, Core = G_Core
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			Prompt Hole, "Hole (e.g. U1337B):"
			Prompt Core, "Core:"
			Prompt Technique, "Technique (e.g. GRA, RSC, MS, etc):"
			Prompt Data, "Data (e.g. GRA, AStar, FE_Area, etc):"
			Prompt Scale, "Depth Scale ( e.g. CSF, CCSF, mbsf, mcd, rmcd ... ) ?"
			Prompt TorB, "X Axis Top or Bottom", popup, XAxisList()
			Prompt New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt AxisTop, "Y Axis Portion Top (%):"
			Prompt AxisBottom, "Y Axis Portion Bottom (%):"
			Prompt LorR, " Y Axis Position?", popup, "R;L;" + Axes
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
			DoPrompt "Append_Data", New_or_App, Hole, Core, Technique, Data, Scale, AxisBottom, AxisTop, LorR, TorB
			G_Data = Data; G_Hole= Hole; G_Scale = Scale; G_Technique = Technique; G_New_or_App = New_or_App
			G_AxisTop = AxisTop; G_AxisBottom = AxisBottom; G_TorB = TorB; G_Core = Core
			AbortOnValue V_Flag, 0 
			Append_1_Core_Data_F( New_or_App, Hole, Core, Technique, Data, Scale, TorB, LorR, AxisBottom, AxisTop ) 
			Print "\rAppend_1_Core_Data_F( \"" + New_or_App + "\", \"" + Hole + "\", " + Num2Str( Core ) + ", \"" + Technique + "\", \"" + Data + "\", \"" + Scale + "\", \"" + TorB + "\", \"" + LorR + "\", " + Num2Str( AxisBottom ) + ", " + Num2Str( AxisTop ) + " )" 
	End
		
	------------------------------------------------------------------------------
	
	Function Append_1_Core_Data_F( New_or_App, Hole, Core, Technique, Data, Scale, TorB, LorR, AxisBottom, AxisTop ) 
		String Hole, Technique, Data, TorB, Scale, New_or_App, LorR
		Variable AxisTop, AxisBottom, Core
		SetDataFolder root:
			String/G G_DataWv = Hole + "_" + Technique + "_" + Data
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_New_or_App, G_TorB
			Variable/G G_AxisTop, G_AxisBottom
			String Axes = ""
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			String Site, Folder = Hole + "_" + Technique + "ByCore"
			G_Data = Data; G_Hole= Hole; G_Scale = Scale; G_Technique = Technique; G_New_or_App = New_or_App
			G_AxisTop = AxisTop; G_AxisBottom = AxisBottom; G_TorB = TorB
			Hole = Hole + Num2Str( Core )
			NewDataFolder/O Xtras
			NewDataFolder/O $":Xtras:" + Folder
			DFREF DataFolder = $":Xtras:" + Folder

			
			If( !( StringMatch( "L", LorR ) || StringMatch( "R", LorR ) ) && StringMatch( "New", New_or_App ) )
				SetDataFolder root:
				ABORT "You selected an axis from the top graph for a New graph.\r  New graphs may only use L or R as axis selections."
			EndIf
			PauseUpdate
			If( !DataFolderExists( ":Xtras:" + Folder ) )
				ABORT "I can't find the folder \" " + Folder + "\"."
			EndIf
		SetDataFolder DataFolder


			Check4DoubleUnderscoresInNames( )
			If( !Exists( Hole+"_"+Technique+"_"+Data ) ) // Check for the data wave
				SetDataFolder root:
				Abort "Data Wave " + Hole + "_" + Technique + "_" + Data + " Is Not In The " + Technique + " Data Folder"
			EndIf
			If( !Exists( Hole+"_"+Technique+"_"+Scale ) )  // Check for the depth wave
				SetDataFolder root:
				Abort "Data Wave " + Hole + "_" + Technique + "_" + Scale + " Is Not In The " + Technique + " Data Folder"
			EndIf
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )  // Check to be sure there is an open graph when appending data
				SetDataFolder root:
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			String Axis = StringByKey( "AXType", AxisInfo( "", LorR ))	
			If( Stringmatch( TorB, "T" ) )
				If( Stringmatch( Axis, "Right" ) )
					AppendToGraph/T/R = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( Stringmatch( Axis, "Left" ) )
					AppendToGraph/T/L = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( StringMatch( LorR, "R" ) )
					AppendToGraph/T/R = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole +"_" + Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 70, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
				ModifyGraph lsize( $Hole+"_"+Technique+"_"+Data ) = 2//, freePos( $Hole + "_" + Data ) = 0
			ElseIf( StringMatch( LorR, "L" ) )
					AppendToGraph/T/L = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale			
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole + "_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 60, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
			ModifyGraph lsize( $Hole+"_"+Technique+"_"+Data ) = 2//, freePos( $Hole + "_" + Data ) = 0
				EndIf
			Else
				If( Stringmatch( Axis, "Right" ) )
					AppendToGraph/R = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( Stringmatch( Axis, "Left" ) )
					AppendToGraph/L = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( StringMatch( LorR, "R" ) )
					AppendToGraph/R = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole+"_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 70, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
			ModifyGraph lsize( $Hole+"_"+Technique+"_"+Data ) = 2//, freePos( $Hole + "_" + Data ) = 0
				ElseIf( StringMatch( LorR, "L" ) )
					AppendToGraph/L = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale			
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole +"_"+ Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 60, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
			ModifyGraph lsize( $Hole+"_"+Technique+"_"+Data ) = 2//, freePos( $Hole + "_" + Data ) = 0
				EndIf
			Endif
			ModifyGraph fSize=12
			ModifyGraph nticks(bottom)=10,minor(bottom)=1
		SetDataFolder root:
	End
		
