#pragma rtGlobals=1		// Use modern global access method.

	Function Browser_Plot()
		SetDataFolder root:
			String/G G_XAxisName,G_LorR, G_New_or_App  // Declare global variables
			String XWave, YWave, LorR = G_LorR, XAxisName = G_XAxisName // Set local variables to global values
			Variable i = 0
			String New_or_App = G_New_or_App, Axes = ""
			String WString = GetBrowserSelection( 0 ) + ";" // 
			WString = WString + GetBrowserSelection( 1 ) + ";" // WString is a list of the 2 waves highlighted in the DataBrowser
//			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
//				Axes = AxisList( "" )
//			EndIf			
			Preferences 1; // Makes sure that graph opens in the default window size and position
//			PauseUpdate;
			Prompt XWave, "X Wave", popup, WString + "Calculated" // "Calculated" uses X scaling (point number is default) for5 the X axis
			Prompt YWave, "Y Wave", popup, WString 
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt LorR, "Left (L) or Right (R) Axis?", popup, "R;L;" + Axes
			Prompt XAxisName, "Select X Axis Name:", popup, "Depth;Age;OtherX"
			DoPrompt "Browser_Plot", XWave, YWave, New_or_App, LorR, XAxisName; 
			G_XAxisName = XAxisName; G_LorR = LorR; G_New_or_App = New_or_App // Reset the globals tolatest values			
			AbortOnValue V_Flag, 0
			If( StringMatch( XAxisName, "OtherX" ) ) // If the axis isn't depth or age, enter the new/other name
				Prompt XAxisName, "X Axis Name:"
				DoPrompt "BrowserPlot", XAxisName
			EndIf
			XAxisName = XAxisName + "Axis" // Append "Axis" to the axis name
			WAVE WX = $XWave, WY = $YWave // Set WaveRefs for X and Y waves
			If( Stringmatch( "New", New_or_App ) ) // Open a new blank plot
				 Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 ) // Warn if using append with no open graph
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			If( StringMatch( "R", LorR ) ) // Plotting on the right axis
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/B = $XAxisName/R = $NameofWave( WY ) WY 
				Else
					AppendToGraph/B = $XAxisName/R = $NameofWave( WY ) WY vs WX
				EndIf
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If( StringMatch( "L", LorR ) ) // Plotting on the left axis
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/B = $XAxisName/L = $NameofWave( WY ) WY 
				Else
					AppendToGraph/B = $XAxisName/L = $NameofWave( WY ) WY vs WX
				EndIf		
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If ( !StringMatch( "L", LorR ) && !StringMatch( "R", LorR ) ) // Plotting on axes other than left or right
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/B = $XAxisName/L = $LorR WY 
				Else
					AppendToGraph/B = $XAxisName/L = $LorR WY vs WX
				EndIf	
			EndIf
			ModifyGraph mirror = 2
			ModifyGraph lblPos( $NameOfWave( WY ) ) = 70, freePos( $NameOfWave( WY )) = 0
			ModifyGraph lsize( $NameOfWave( WY ) ) = 2
			ModifyGraph fSize=16
			ModifyGraph nticks($XAxisName)=10,minor($XAxisName)=1,freePos( $XAxisname ) = 0
			DoWindow/H 

	End
	
-----------------------------------------------------------------

//	Function Browser_Plot()
		SetDataFolder root:
			String XWave, YWave, LorR
			Variable i = 0
			String New_or_App, Axes = ""
			String WString = GetBrowserSelection( 0 ) + ";"
			WString = WString + GetBrowserSelection( 1 ) + ";"
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			Preferences 1;
			PauseUpdate;
			Prompt XWave, "X Wave", popup, WString + "Calculated"
			Prompt YWave, "Y Wave", popup, WString
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt LorR, "Left (L) or Right (R) Axis?", popup, "L;R;" + Axes
			DoPrompt "Browser_Plot", XWave, YWave, New_or_App, LorR; AbortOnValue V_Flag, 0
			WAVE WX = $XWave, WY = $YWave
			If( Stringmatch( "New", New_or_App ) )
				 Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			If( StringMatch( "R", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/R = $NameofWave( WY ) WY 
				Else
					AppendToGraph/R = $NameofWave( WY ) WY vs WX
				EndIf
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If( StringMatch( "L", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/L = $NameofWave( WY ) WY 
				Else
					AppendToGraph/L = $NameofWave( WY ) WY vs WX
				EndIf		
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If ( !StringMatch( "L", LorR ) && !StringMatch( "R", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/L = $LorR WY 
				Else
					AppendToGraph/L = $LorR WY vs WX
				EndIf	
			EndIf
			ModifyGraph mirror = 2
	End
	
