#pragma rtGlobals=1		// Use modern global access method.
	

	// This function changes the bottom or top axis for all open windows in an experiment to the same range
	
	Function Change_XAxis_Range()
		SetDataFolder root:
			Variable/G G_V_Top, G_V_Bottom, G_Range_Incr
			String/G G_TorB 
			Variable V_Top = G_V_Top + G_Range_Incr, i, j
			Variable V_Bottom = G_V_Bottom + G_Range_Incr, Range_Incr = G_Range_Incr
			String TorB = G_TorB, AxisOrientation
			Prompt TorB, "Top or Bottom axes:", popup, "bottom;top"
			Prompt V_Top, "Top of Range e.g. depth or age:"
			Prompt V_Bottom, "Bottom of Range e.g. depth or age:"
			Prompt Range_Incr, "Amount to shift range with next call to this function:"
			DoPrompt "Change_XAxis_Range", V_Top, V_Bottom, Range_Incr, TorB; 
			G_V_Top = V_Top; G_V_Bottom = V_Bottom; G_Range_Incr = Range_Incr; AbortOnValue V_Flag, 0
			String GraphList = WinList("*",";","WIN:1"), GraphName, AxesList, AxisName // Form a list of all of the graphs
			For( i = 0; i < ItemsInList( GraphList ); i += 1 ) // Loop through the graphs
				GraphName = StringFromList( i, GraphList ) // Select a name from the list of graphs
				AxesList = AxisList( GraphName ) // Make a list of the axes on the selected graph
				For( j = 0; j < ItemsInList( AxesList ); j += 1 ) // Loop through the different axes on the graph
					AxisName = StringFromList( j, AxesList ) // Select the name of an axis
					AxisOrientation = StringByKey( "AxType", AxisInfo( GraphName, AxisName ) ) // Get the orientation of the selected axis
					If( StringMatch( AxisOrientation, TorB ) ) // If the axis orientation agrees with the user selection ( TorB ), the reset the axis to V_Top and V_Bottom
						SetAxis/Z/W = $GraphName $AxisName  V_Top, V_Bottom
					EndIf
				EndFor
			EndFor
	End


