﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.



	Function CoreTableCorrection()
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole, ImageNameStr
			Variable/G G_Core, G_FitOrder
			Variable Core = G_Core, FitOrder = G_FitOrder
			Prompt Hole, "Hole"
			Prompt Core, "Core"
			Prompt FitOrder, "Fit Order ( 4 is normal ):"
			DoPrompt "CoreTableCorrection", Core, Hole, FitOrder
			G_Hole = Hole; G_Core = Core; G_FitOrder = FitOrder; AbortOnValue V_Flag, 0
			NewDataFolder/O $Hole + "_CorrCTI"		
			DFREF CorrImages =  $Hole + "_CorrCTI"
			ImageNameStr = Hole + "_" + Num2Str( Core ) + "_CorrCTI"
			If( WaveExists( CorrImages:$Hole + "_" + Num2Str( Core ) + "_CorrCTI" ) )
				DoAlert/T = "Wave Exists" 1, ImageNameStr + " already exists.\r\rDo you want to overwrite it?"
				If( V_Flag == 2 )
					ABORT
				EndIf
			Endif
			WAVE Box_Image, WaveX, WaveY
			CoreTableCorrection_F( Box_Image, FitOrder )	
			Duplicate/O Box_Image CorrImages:$Hole + "_" + Num2Str( Core ) + "_CorrCTI"
			Print ImageNameStr
		NewDataFolder/O/S Xtras; NewDataFolder/O/S $Hole + "_Grids"
			Duplicate/O WaveX $Hole + "_" + Num2Str( Core ) + "_WaveX"
			Duplicate/O WaveY $Hole + "_" + Num2Str( Core ) + "_WaveY"
		SetDatafolder root:

	End

	Function CoreTableCorrection_F( Box_Image, FitOrder )
			Wave Box_Image
			Variable FitOrder
			Variable WhiteValue= 235
		SetDataFolder root:
			String/G G_Hole
			WAVE WaveX, WaveY// The next line checks to be sure that all of the correction points lie within the area of the image
			If( WaveMax( WaveX ) > DimSize( Box_Image, 0 ) || WaveMax( WaveY ) > DimSize( Box_Image, 1 ) || WaveMin( WaveX ) < 0 || WaveMin( WaveY ) < 0 )
				ABORT "There are correction points whose coordinates lie outside the frame of the image"
			EndIf

			Make/O/B/U/N = ( dimsize( Box_Image, 0 ), dimsize( Box_Image, 1 ) ) Red, Green, Blue, Surface; // Make R, G, and B 2D images
	//		Make/O/B/U/N = ( dimsize( Box_Image, 0 ), dimsize( Box_Image, 1 ) ) RAWRed, RAWGreen, RAWBlue; // Make R, G, and B 2D images
//		SetDataFolder root:
			Red[][] = Box_Image[p][q][0];
			Green[][] = Box_Image[p][q][1];
			Blue[][] = Box_Image[p][q][2];
//		RAWRed = Red; RAWGreen = Green; RAWBlue = Blue
			CopyScales Box_Image Red, Green, Blue

			CalculateSurfaceFit( Red, FitOrder ) // Calculates a lighting surface based on the points plotted on top of the image
			Redimension/S Surface, Red // Make the Red image and the fitted surface floating points so that they can exceed 255 or be less than 0
			Surface -= WhiteValue // Surface becomes the difference at each point between the image and 255 ( assuming that the "white"  in the image is 255, 255, 255 )
			Surface *= -1 // Change polarity
			Surface = Surface > 250 ? 0 : Surface // Not sure why I need this correction, but it solves a bug, so....
			Red += Surface // Add the surface to the Red part of the image
			Red = Red > 255 ? 250 : Red // If the addition results in a value > 255, set to 255
			Red = Red < 0 ? 0 : Red // If the addition results in a value < 0, set to 0
			ReDimension/B/U Red // Revert to unsigned byte - the original image format
			Box_Image[][][0] = Red[p][q] // Replace original Red layer with adjusted layer
//Duplicate/O Surface S_R			
			CalculateSurfaceFit( Green, FitOrder ) // See above
			Redimension/S Surface, Green
			Surface -= WhiteValue
			Surface *= -1
			Surface = Surface > 250 ? 0 : Surface
			Green += Surface
			Green = Green > 255 ? 250 : Green
			Green = Green < 0 ? 0 : Green
			Redimension/B/U Green
			Box_Image[][][1] = Green[p][q]
//Duplicate/O Surface S_G				
			CalculateSurfaceFit( Blue, FitOrder ) // See above
			Redimension/S Surface, Blue
			Surface -= WhiteValue
			Surface *= -1
			Surface = Surface > 250 ? 0 : Surface
			Blue += Surface
			Blue = Blue > 255 ? 250 : Blue
			Blue = Blue < 0 ? 0 : Blue
			Redimension/B/U Blue
			Box_Image[][][2] = Blue[p][q]
//Duplicate/O Surface S_B
			RemoveFromGraph/Z WaveY // Remove the measurement points from the graph
			KillWaves/Z Red, Green, Blue, Surface, WaveZ//, RAWRed, RAWGreen, RAWBlue
			Note Box_Image, "Core Table Lighting Corrected" // Add a wavenote to the corrected image
			DoWindow/H
			Variable/G G_ImageCount // G_ImageCount is used to trigger an automatic Save every 5 images processed
			G_ImageCount += 1
			If( G_ImageCount == 5 )
				SaveExperiment
				G_ImageCount = 0
				Print "Experiment Auto-Saved"
			Endif
				
	End
