﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function takes a WAVE reference as input and creates R,G,B,H,S,L, and Depth waves for the  referenced image. It can
//  be used as a command line function using the entire path to an image in a data folder.

	Function ImageProfile_F( Image )
			WAVE Image		// Indicates that the input is a wave reference
		SetDataFolder root:
			Make/O/N = 2 Xpnts, YPnts // These 2 waves define the starting point and ending point of the profile
			XPnts = { LeftX( Image ), RightX( Image ) - DimDelta( Image, 0 ) } // The x points are the top and bottom of the core image
			YPnts = { .5, .5 } // the y points are the middle of the image assuming the image is scaled 0 - 1, which should be standard for all core images
			ImageLineProfile xWave = Xpnts, yWave = Ypnts, SrcWave = Image, Width = .9 * DimSize( Image, 1 ) // This is the command that creates the profiles
			WAVE M_ImageLineProfile, W_LineProfileDisplacement
			Make/O/N = ( DimSize( Image, 0 ) ) R_Profile, G_Profile, B_Profile, DepthWv // Creates R, G, and B waves as well as a depth wave
			R_Profile = M_ImageLineProfile[p][0] // ImageLineProfile is output from the profiling function and has 3 columns ( R,G,B )
			B_Profile = M_ImageLineProfile[p][1] // These lines copy columns into individual waves
			G_Profile = M_ImageLineProfile[p][2]
			DepthWv = W_LineProfileDisplacement + LeftX( Image ) // W_LineProfileDisplacement is output from the profiling function and has relative depths, always starting from 0
			ImageTransform RGB2HSL Image // An H, S, L version of the image is created and the above process is repeated to form 3 additional profiles.
			WAVE M_RGB2HSL
			ImageLineProfile xWave = Xpnts, yWave = Ypnts, SrcWave = Image, Width = .9 * DimSize( M_RGB2HSL, 1 )
			Make/O/N = ( DimSize( Image, 0 ) ) H_Profile, S_Profile, L_Profile
			H_Profile = M_ImageLineProfile[p][0]
			S_Profile = M_ImageLineProfile[p][1]
			L_Profile = M_ImageLineProfile[p][2]
			KillWaves/Z M_ImageLineProfile, M_RGB2HSL, W_LineProfileDisplacement, W_LineProfileX, W_LineProfileY, Xpnts, Ypnts
	End		