﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function CaCO3JANUSDataLoader( )
		SetDataFolder root:
			Variable/G G_CC_Replacement
			Variable CC_Replacement = G_CC_Replacement
			Prompt CC_Replacement, "Replace CC's with column number used in Coring Matrix ( 9 is default )"
			DoPrompt "CaCO3JANUSDataLoader", CC_Replacement
			G_CC_Replacement = CC_Replacement; AbortOnValue V_Flag, 0
			Print "CaCO3JANUSDataLoader_F(",CC_Replacement,")"
			CaCO3JANUSDataLoader_F( CC_Replacement )
	End
	
	Function CaCO3JANUSDataLoader_F( CC_Replacement )
			Variable CC_Replacement
			String Hole
		SetDataFolder root:
			String SiteNum
			WAVE/T H, TW
			WAVE   Leg,Site,Cor,Sc,Top_cm_,Bot_cm_,Depth__mbsf_,INOR_C__wt___,CaCO3__wt___,TOT_C__wt___,ORG_C__wt___,N__wt___,S__wt___,H__mg_HC_g_
			If( !WaveExists( CaCO3__wt___ ) )
				Print "I can't find the datawave \"CaCO3__wt___\".\r\t\tDid you forget to copy the column label line along with the data?\r\t\t\t\tOR\r\t\tAre you sure the data are CaCO3 data from JANUS?"
				ABORT "I can't find the datawave \"CaCO3__wt___\".\r\rDid you forget to copy the column label line along with the data?\r\rOR\r\rAre you sure the data are CaCO3 data from JANUS?"
			EndIf
			If( NumType( Cor[0] ) == 2 ) // Checks to see if the first line in the DataTable is blank
				DeletePoints 0,1,   Leg,Site,H,Cor,TW,Sc,Top_cm_,Bot_cm_,Depth__mbsf_,INOR_C__wt___,CaCO3__wt___,TOT_C__wt___,ORG_C__wt___,N__wt___,S__wt___,H__mg_HC_g_
			EndIf
			If( StrSearch( WinList( "*", ";", "WIN:2" ), "JANUSDataTable", 0 ) < 0  || StrSearch( WaveList( "*", ",", "WIN:JANUSDataTable" ), "CaCO3__wt___", 0 ) < 0 ) // Checks that the data are in the designated Table named "JANUSDataTable"
				Print "The data are not in a table named \"JANUSDataTable\". \r\t\tKill the data waves you just pasted and Run:\r\t\t\t\tEmptyJANUSDataTable()\r\t\tfrom the JANUS_Loaders menu and then paste the data into the new blank table.\r\t\tAfter the first run the table will open automatically."
				ABORT "The data are not in a table named \"JANUSDataTable\". \r\rKill the data waves you just pasted and Run:\r\r\"EmptyJANUSDataTable\"\r\rfrom the JANUS_Loaders menu and then paste the data into the new blank table.\r\rAfter the first run the table will open automatically."
			Endif
			Hole = "U" + Num2Str( Site[ 0 ] ) + H[ 0 ]
			SiteNum = "U" + Num2Str( Site[ 0 ] )
			NewDataFolder/O $SiteNum + "_CaCO3"
			Replace_NaNswithNumber_F( "Sc", CC_Replacement )
			Duplicate/O H, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Hole"; 
			Duplicate/O Cor, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Core"; 
			Duplicate/O TW, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Type"; 
			Duplicate/O Sc, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Section"; 
			Duplicate/O Top_cm_, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Interval"; 
			Duplicate/O Depth__mbsf_, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_mbsf"; 
			Duplicate/O INOR_C__wt___, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_InorgC"; 
			Duplicate/O CaCO3__wt___, $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_CaCO3"
			Duplicate/O H $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Site"
			WAVE/T SiteWv = $":" + SiteNum + "_CaCO3:" + Hole + "_CaCO3_Site"
			SiteWv = SiteNum
			EmptyJANUSDataTable( )
			KillWaves H, TW
			KillWaves Leg,Site,Cor,Sc,Top_cm_,Bot_cm_,Depth__mbsf_,INOR_C__wt___,CaCO3__wt___,TOT_C__wt___,ORG_C__wt___,N__wt___,S__wt___,H__mg_HC_g_
	End
