﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	
	Function GRABatchLoad()
		SetDataFolder root:
			KillPath/Z Data_Path
			KillVariables/Z Hole
			String DataFileList
			Variable/G G_CC_Replacement
			Variable CC_Replacement = G_CC_Replacement, i
			Prompt CC_Replacement, "Replace CC's with column number used in Coring Matrix (9 is usual)" 
			DoPrompt "GRABatchLoad", CC_Replacement
			G_CC_Replacement = CC_Replacement; AbortOnValue V_Flag, 0
			DoAlert 0, "Select the data folder.\r\rThis function will attempt to process all \".csv\" files in the selected folder. You will generate an error if there are non-GRA files."
			NewPath/Q Data_Path
			DataFileList = IndexedFile( Data_Path, -1, ".csv" )
			For( i = 0; i < ItemsInList( DataFileList ); i += 1 )
				LoadWave/O/A/P=Data_Path/Q/J/W/K=0/L={0,1,0,0,0}/v={",","\"",0,0} StringFromList( i, DataFileList )				
				WAVE/T Hole, Site, Type, A_W, Instrument, Instrument_group, Text_ID,Comments
				WAVE ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Bulk_density__GRA_,Timestamp__UTC_,Test_No_
				String H = Site[0] + Hole[0], SiteNum = RemoveEnding( H )
				Replace_NaNswithNumber_F( "Sect", CC_Replacement )
				NewDataFolder/O $SiteNum + "_GRA"
				Duplicate/O Site, $":" + SiteNum + "_GRA:" + H + "_GRA_Site"; 
				Duplicate/O Hole, $":" + SiteNum + "_GRA:" + H + "_GRA_Hole"; 
				Duplicate/O Core, $":" + SiteNum + "_GRA:" + H + "_GRA_Core"; 
				Duplicate/O Type, $":" + SiteNum + "_GRA:" + H + "_GRA_Type"; 
				Duplicate/O Sect, $":" + SiteNum + "_GRA:" + H + "_GRA_Section"; 
				Duplicate/O Offset__cm_, $":" + SiteNum + "_GRA:" + H + "_GRA_Interval"; 
				Duplicate/O Depth_CSF_A__m_, $":" + SiteNum + "_GRA:" + H + "_GRA_CSFA"; 
				Duplicate/O Bulk_density__GRA_, $":" + SiteNum + "_GRA:" + H + "_GRA_GRA"
				KillWaves Hole, Site, Type, A_W, Instrument, Instrument_group, Text_ID,Comments
				KillWaves ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Bulk_density__GRA_,Timestamp__UTC_,Test_No_
			EndFor
	End
			
//	Function GRALOREDataLoader( )
		SetDataFolder root:
			String/G G_H
			String H = G_H, SiteNum
			Variable/G G_CC_Replacement
			Variable CC_Replacement = G_CC_Replacement
			Prompt H, "Hole ( e.g. U1242A )"
			Prompt CC_Replacement, "Replace CC's with column number used in Coring Matrix ( 9 is usual )"
			DoPrompt "GRALOREDataLoader", H, CC_Replacement
			G_H = H; G_CC_Replacement = CC_Replacement; AbortOnValue V_Flag, 0
			Print "GRALOREDataLoader_F( \"" + H + "\",", CC_Replacement, ")"
			GRALOREDataLoader_F( H, CC_Replacement )
	End
	
//	Function GRALOREDataLoader_F( H, CC_Replacement )
			String H
			Variable CC_Replacement
			H = UpperStr( H )
			CheckHole4aU( H )
		SetDataFolder root:
			String SiteNum
			SiteNum = RemoveEnding( H )
			WAVE/T Hole, Site, Type, A_W, Instrument, Instrument_group, Text_ID,Comments
			WAVE ExpW,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Bulk_density__GRA_,Timestamp__UTC_,Test_No_
			If( StrSearch( Site[ 0 ], "\"", 0 ) > -1 ) // This section takes care of the quotes in the downloaded data file if they are present
				String S2 = Site[0]; S2 = S2[ 1 , StrLen( S2 ) - 2 ]; Site = S2
				String H2 = Hole[0]; H2 = H2[ 1 , StrLen( H2 ) - 2 ]; Hole = H2
				String T2 = Type[0]; T2 = T2[ 1 , StrLen( T2 ) - 2 ]; Type = T2
			EndIf
			If( !WaveExists( Bulk_density__GRA_ ) )
				Print "I can't find the datawave \"Bulk_density__GRA_\".\r\t\tDid you forget to copy the column label line along with the data?\r\t\t\t\tOR\r\t\tAre you sure the data are GRA data from LORE?"
				ABORT "I can't find the datawave \"Bulk_density__GRA_\".\r\rDid you forget to copy the column label line along with the data?\r\rOR\r\rAre you sure the data are GRA data from LORE?"
			EndIf
			If( NumType( Core[0] ) == 2 ) // Checks to see if the first line in the DataTable is blank
				DeletePoints 0,1,   Hole, Type, A_W, Instrument, Instrument_group, Text_ID,Comments
				DeletePoints 0,1,   ExpW,Site,Core,Sect,Offset__cm_,Depth_CSF_A__m_,Depth_CSF_B__m_,Bulk_density__GRA_,Timestamp__UTC_,Test_No_
			EndIf
			If( !StringMatch( Hole[1], H[ StrLen( H ) - 1 ] ) ) // Checks to see that the data table has data from the designated Hole
				Print "The Hole in the data column is not the same as the Hole input.\r\t\t" + Site[1] + Hole[1] + " vs " + H 
				ABORT "The Hole in the data column is not the same as the Hole input.\r\r" + Site[1] + Hole[1] + " vs " + H 
			EndIf
			If( !StringMatch( Site[1], SiteNum ) )  // Checks to see that the data table has data from the designated Hole
				Print "The Site Number in the data column \"Site\" is not the same as the Site Number input.\r\t\t" + Site[1] + " vs " + SiteNum
				ABORT "The Site Number in the data column \"Site\" is not the same as the Site Number input.\r\r" + Site[1] + " vs " + SiteNum
			EndIf
			If( StrSearch( WinList( "*", ";", "WIN:2" ), "LOREDataTable", 0 ) < 0  || StrSearch( WaveList( "*", ",", "WIN:LOREDataTable" ), "Bulk_density__GRA_", 0 ) < 0 ) // Checks that the data are in the designated Table named "DataTable"
				Print "The data are not in a table named \"LOREDataTable\". \r\t\tKill the data waves you just pasted and Run:\r\t\t\t\tEmptyLOREDataTable()\r\t\tfrom the LORE_Loaders menu and then paste the data into the new blank table.\r\t\tAfter the first run the table will open automatically."
				ABORT "The data are not in a table named \"LOREDataTable\". \r\rKill the data waves you just pasted and Run:\r\r\"EmptyLOREDataTable\"\r\rfrom the LORE_Loaders menu and then paste the data into the new blank table.\r\rAfter the first run the table will open automatically."
			Endif
			Replace_NaNswithNumber_F( "Sect", CC_Replacement )
			Rename Site, $H + "_GRA_Site"; 
			Rename Hole, $H + "_GRA_Hole"; 
			Rename Core, $H + "_GRA_Core"; 
			Rename Type, $H + "_GRA_Type"; 
			Rename Sect, $H + "_GRA_Section"; 
			Rename Offset__cm_, $H + "_GRA_Interval"; 
			Rename Depth_CSF_A__m_, $H + "_GRA_CSFA"; 
			Rename Bulk_density__GRA_, $H + "_GRA_GRA"
//			EmptyLOREDataTable( )
			NewDataFolder/O $SiteNum + "_GRA"
			KillWaves ExpW,A_W,Depth_CSF_B__m_,Timestamp__UTC_,Instrument,Instrument_group,Text_ID,Test_No_,Comments
	End
