﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function checks to see if the CCSF/mcd layer of the Coring matrix has been filled.
// It returns a value of 1 if CCSF has not been calculated.

	Function CheckMatrix4CCSF( Hole )
		String Hole
		DFREF DFRSave = GetDataFolderDFR()
		SetDataFolder root:
			Wave Matrix = $"root:" + Hole + "_Coring_Matrix"
			Duplicate/O/R = [][][2] Matrix CCSFs // Makes a 2D wave out of the CCSF layer ( 2 ) in the matrix	
			WaveStats/Q CCSFs // Gets the maximum value of the CCSF layer ( 2 )
			KillWaves CCSFs
			If( V_Max == 0 || NumType( V_Max ) == 2 ) // Max value in matrix CCSF layer is either 0 or NaN
				DoAlert/T = "Missing CCSF" 1, NameOfWave( Matrix ) + " has no CCSF/mcd values. Do you want to continue?"
				AbortOnValue V_Flag == 2, 1
			EndIf
		SetDataFolder DFRSave
	End