#pragma rtGlobals=1		// Use modern global access method.

// Last modified 22JUN2017 to get rid of "Type" on the input prompt.

	Function Section_Cut(  )
		SetDataFolder root:
			String/G G_Hole
			String  Hole = G_Hole
			Variable/G G_Core_Num, G_Section, G_Width
			Variable Core = G_Core_Num, Section = G_Section, Width = G_Width
			String   KWave, KFldr, Matrix
//section = 9   // Uncomment this line if you are only adding section 9's to existing K_ section images
			Prompt Hole "Hole"
			Prompt Core "Core"
			Prompt Section "Section"
			Prompt Width, "Width of Section (Y direction) in pixels):"
			DoPrompt "Section_Cut" Section, Core, Hole, Width; AbortOnValue V_Flag, 0
			If( V_Flag )
				ABORT
			EndIf
			G_Hole = Hole; G_Core_Num = Core; G_Section = Section; G_Width = Width
			Variable Section_Top, Section_Bottom
			Make/O Section_End_Pixel
			Matrix = Hole + "_Coring_Matrix"
			WAVE CMatrix = $Hole + "_Coring_Matrix"
			If( Core >= DimSize( CMatrix, 0 ) )
				ABORT "There is not data for " + Hole + " Core " + Num2Str( Core ) + " in " + Hole + "_Coring_Matrix"
			EndIf
			CursorBOff( )         
			Cursor/I/A=1 A Box_Image  Xcsr( A ), Vcsr( A )
	
			If( !Exists( Matrix ) )
				Abort "There is no Coring Matrix named " + Matrix
			EndIf
			If( NumType( Section_End_Pixel [ Section ] ) == 2 && Section == 9 )
				Abort "There is no section end for Section " + Num2Str( Section ) + "\r  Did you forget to designate the CC as section # 9 when setting the section ends?"
			EndIf
			If( NumType( CMatrix[ Core ][ Section ][ 0 ] ) == 2 && section != 9 )
				Abort "There is no depth in the Coring Matrix for Section " + Num2Str( Section ) + ".\r  Did you forget to designate the CC as section # 9?"
			EndIf
	
			If( Core < 10 )
				KWave = "K_" + Hole + "_0" + Num2Str( Core ) + "_" + Num2Str( Section )
				KFldr = "K_" + Hole + "_0" + Num2Str( Core )
			Else
				KWave = "K_" + Hole + "_" + Num2Str( Core ) + "_" + Num2Str( Section )
				KFldr = "K_" + Hole + "_" + Num2Str( Core )
			EndIf
	
			If( DataFolderExists( KFldr ) && Section == 1 )
				DoAlert 1, "The section image folder " + KFldr + " already exists.\r\rDo you want to overwrite it?"
				AbortOnValue ( V_Flag == 2 ), 0
			ElseIf( !DataFolderExists( KFldr ) )
				NewDataFolder $KFldr
			EndIf
			Duplicate/O/R=( pcsr( a ), Section_End_Pixel[ Section ] )( vcsr( a ), vcsr( a ) - Width ) $CsrWave( a ) $KWave
			Print KWave
			Section_Top = CMatrix[ Core ][ Section ][ 0 ]
			Section_Bottom = CMatrix[ Core ][ Section ][ 0 ] + CMatrix[ Core ][ Section ][ 1 ]
			SetScale x Section_Top, Section_Bottom, "", $KWave; DelayUpdate
			SetScale/I y 0, 1, "", $KWave
			Duplicate/O $KWave $":" + KFldr  + ":" + KWave
			WAVE SectionImage = $":" + KFldr  + ":" + KWave
			KillWaves/Z $KWave
			G_Section += 1;
			Variable Section_CornerX, Section_CornerY
			Section_CornerX = Xcsr( a )
			Section_CornerY = Vcsr( a )
			If( Section < 9 )

				Cursor/I A Box_Image Xcsr( a ), ( Vcsr( a ) - 1.65 * Width )	

			EndIf
			Note/K SectionImage, NameOfWave( SectionImage ) + "\t " + Num2Str( Section_CornerX ) + "\t " + Num2Str( Section_CornerY ) + "\t " + Num2Str( Section_End_Pixel[ Section ] ) + "\t " + Num2Str( Width )
			KillWaves/Z root:$KFldr + ":W_LineProfileDisplacement"
	End

********************************************************

//Last modified 22JUN2017 made sure that section numbering started with 1 the first time the function is run.
	
	Function Set_Section_Ends( )
		String/G G_Hole
		String Hole = G_Hole
		If( StrLen( Hole ) == 0 )
			Prompt Hole, "Hole:"
			DoPrompt "Set_Section_Ends", Hole
			G_Hole = Hole
		EndIf
		If( !WaveExists( $Hole + "_Coring_Matrix" ) )
			ABORT "I can't find the Coring Matrix ( " + Hole + "_Coring_Matrix ) for this hole."
		EndIf
		Variable/G G_SectionNum
		If( G_SectionNum == 0 )
			G_SectionNum = 1
		EndIf
		Variable SectionNum = G_SectionNum
//sectionnum = 9     // Uncomment this line if you are only adding section 9's to existing K_ section images
		Prompt Hole, "Hole:"
		Prompt SectionNum, "Section Number:"
		DoPrompt "Set_Section_Ends", SectionNum, Hole;
		G_Hole = Hole; G_SectionNum = SectionNum
		WAVE CoringMatrix = $Hole + "_Coring_Matrix"
		If( !WaveExists( CoringMatrix ) )
			ABORT "I can't find the coring matrix - " + Hole + "_Coring_Matrix"
		EndIf
		AbortonValue( V_Flag ), 1
		CheckMatrix4CCNumber( Hole )
		G_SectionNum += 1
		CursorAOff( )
		Cursor/I/A=1 B Box_Image  Xcsr( B ), Vcsr( B )
		Make/O Section_End_Pixel
		WAVE Section_End_Pixel
		Section_End_Pixel[ SectionNum ] = Pcsr( b )
		If( SectionNum == 9 )
			CursorBOff()
		EndIf
//cursorboff()    // Uncomment this line if you are only adding section 9's to existing K_ section images
	End
	
