#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function Site_2_Site_Data_SetUp()
		SetDataFolder root:
			PauseUpdate;
			String/G G_BaseSite, G_StretchSite, G_Technique, G_Data
			String BaseSite = G_BaseSite, StretchSite = G_StretchSite, Technique = G_Technique, Data = G_Data	
			Prompt BaseSite "BaseSite"
			Prompt StretchSite "StretchSite"
			Prompt Technique "Technique"
			Prompt Data "Data"
			DoPrompt "Site_2_Site_Data_SetUp" BaseSite, StretchSite, Technique, Data
			G_BaseSite = BaseSite; G_StretchSite = StretchSite; G_Data = Data; G_Technique = Technique
			AbortOnValue V_Flag, 0	
			String B_Data, B_CCSF, S_Data, S_CCSF, Folder	
		NewDataFolder/O/S $BaseSite + "_" + StretchSite + "_Results"
			DFREF ResultsFldr = GetDataFolderDFR( )
		SetDataFolder root:
		NewDataFolder/O/S Xtras
			DFREF XtrasFldr = GetDataFolderDFR( )
			Make/O/N=0  Ones, Numbers
		SetDataFolder $"root:" + StretchSite + "_" + Technique
			DFREF StrDataFldr = GetDataFolderDFR( )
		SetDataFolder $"root:" + BaseSite + "_" + Technique
			DFREF BaseDataFldr = GetDataFolderDFR( )

		SetDataFolder root:
			If( !Exists("BaseTies"))			// to make BaseTies and StretchTies if these do not already exist (e.g. if you run the S2S_Data_SetUp first, rather than the image setup first)
				Make/O/N=0  BaseTies, StretchTies, TieStr, DeltaTies
				Make/O/N=0/T TieType
			EndIf 
			If( strlen ( winlist( "TieTable", "","" ) ) < 1 )
				Edit/N = TieTable BaseTies, StretchTies, TieType, TieStr, DeltaTies as "TieTable"
			EndIf
			WAVE BaseTies, StretchTies, TieStr, DeltaTies
			WAVE/T TieType

		SetDataFolder StrDataFldr
			WAVE StrSiteCCSF = $StretchSite + "S_" + Technique + "_CCSF"
			WAVE StrSiteData = $StretchSite + "S_" + Technique + "_" + Data
			If( !WaveExists( StrSiteData ) )
				SetDataFolder root:
				ABORT "This function uses the \"S\" identifier for spliced data and I can't find " + StretchSite + "S_" + Technique + "_" + Data + " in the " + StretchSite + "_" + Technique + " data folder.\r\rUse Batch_Rename_Waves to change \"_Splice\" to \"S\""
			Endif
		SetDataFolder BaseDataFldr
			WAVE BaseSiteData = $BaseSite + "S_" + Technique + "_" + Data
			WAVE BaseSiteCCSF = $BaseSite + "S_" + Technique + "_CCSF"
			If( !WaveExists( BaseSiteData ) )
				SetDataFolder root:
				ABORT "This function uses the \"S\" identifier for spliced data and I can't find " + BaseSite + "S_" + Technique + "_" + Data + " in the " + BaseSite + "_" + Technique + " data folder.\r\rUse Batch_Rename_Waves to change \"_Splice\" to \"S\""
			Endif
			Display/W=(81,45,987,374); ShowInfo			
		SetDataFolder ResultsFldr
			Duplicate/O StrSiteCCSF $StretchSite + "S_" + Technique + "_CCSF" + BaseSite	
			WAVE StretchedCCSF = $StretchSite + "S_" + Technique + "_CCSF" + BaseSite
			StretchedCCSF = interp( StrSiteCCSF, StretchTies, BaseTies )
			If( Exists( BaseSite + "_2_" + StretchSite + "_Ties" ) )   // Copies existing Ties into generic BaseTies and StretchTies waves
				Duplicate/O $BaseSite + "_2_" + StretchSite + "_Ties" BaseTies
				Duplicate/O $StretchSite + "_2_" + BaseSite + "_Ties" StretchTies
				Duplicate/O/T $StretchSite + "_2_" + BaseSite + "_TieType" TieType
				Duplicate/O BaseTies Ones, Numbers
				Ones = .5
				Numbers = x
			EndIf
		SetDataFolder root:
			String StrAxis = StretchSite+"_" +Data	
			String BaseAxis = BaseSite+"_" +Data	
			String StrDataAxis = StretchSite+"_"+Data+"_Stretched"
		SetDataFolder XtrasFldr
			String BaseValName = "Base_" + Data + "_Val"
			String StrValName = "Stretch_" + Data + "_Val"
			String BaseDataName = BaseSite + "S_" + Technique + "_" + Data
			String StrDataName = StretchSite + "S_" + Technique + "_" + Data

// Programming note: The tie points are plotted before the data data waves are plotted so that the data are plotted in front - on top of the symbols.
//		This ensures that the data can still be seen when the tie points are plotted.

			Duplicate/O StretchTies $"Stretch_" + Data + "_Val"		//Making _Val from the stretch ties.
			WAVE StrVal = $"Stretch_" + Data + "_Val"
			If( NumPnts( BaseTies ) > 0  )										//Specifically to only do the interpolation when BaseTies has data
				StrVal  = interp( StretchTies, StretchedCCSF, StrSiteData )
			EndIf
			AppendToGraph/R = $StrAxis StrVal vs StretchTies			// Plots tie point symbols on stretch site data
			ModifyGraph rgb($StrValName)=(26205,52428,1)
			ModifyGraph msize($StrValName)=4, mode($StrValName)=3
			ModifyGraph marker($StrValName)=19, msize($StrValName)=4

			AppendToGraph/R = $StrAxis StrVal vs StretchTies			// Plots tie point Numbers on stretch site data
			ModifyGraph rgb($StrValName+"#1")=(26205,52428,1)
			ModifyGraph msize($StrValName+"#1")=4, mode($StrValName+"#1")=3
			ModifyGraph textMarker($StrValName+"#1")={Numbers,"default",1,0,5,0.00,25}
		
			Duplicate/O BaseTies $"Base_" + Data + "_Val"		//Making _Val from the base ties.
			WAVE BaseVal = $"Base_" + Data + "_Val"
			If( NumPnts(BaseTies) > 0  )										//Specifically to only do the interpolation when BaseTies has data
				BaseVal  = interp( BaseTies, BaseSiteCCSF, BaseSiteData )
			EndIf
			AppendToGraph/T/R = $BaseAxis BaseVal vs BaseTies			// Plots tie point symbols on base site data
			ModifyGraph rgb($BaseValName)=(26205,52428,1)
			ModifyGraph msize($BaseValName)=4, mode($BaseValName)=3
			ModifyGraph marker($BaseValName)=19, msize($BaseValName)=4
	
			AppendToGraph/T/R = $BaseAxis BaseVal vs BaseTies			// Plots tie point numbers on base site data
			ModifyGraph rgb($BaseValName+"#1")=(26205,52428,1)
			ModifyGraph msize($BaseValName+"#1")=4, mode($BaseValName+"#1")=3
			ModifyGraph textMarker($BaseValName+"#1")={Numbers,"default",1,0,5,0.00,25}

			AppendToGraph/T/R = $StrDataAxis StrVal vs BaseTies	// Plots tie point symbols on stretched data
			ModifyGraph rgb($StrValName+"#2")=(26205,52428,1)
			ModifyGraph msize($StrValName+"#2")=4, mode($StrValName+"#2")=3
			ModifyGraph marker($StrValName+"#2")=19

			AppendToGraph/T/R = $StrDataAxis StrVal vs BaseTies	// Plots tie point numbers on stretched data
			ModifyGraph rgb($StrValName+"#3")=(26205,52428,1)
			ModifyGraph msize($StrValName+"#3")=4, mode($StrValName+"#3")=3
			ModifyGraph textMarker($StrValName+"#3")={Numbers,"default",1,0,5,0.00,25}
		
			AppendToGraph/T/R = $BaseAxis BaseSiteData vs BaseSiteCCSF	// Plots Base Site data on middle third of graph
			Label $BaseAxis "\\Z12\\f01" + BaseSite + " " + Data
			ModifyGraph lblPos( $BaseAxis ) = 70, freePos( $BaseAxis ) = 0
			ModifyGraph axisEnab( $BaseAxis ) = { .33, .66 }
	
			AppendToGraph/R = $StrAxis StrSiteData vs StrSiteCCSF	// Plots Stretch Site data on bottom third of graph
			Label $StrAxis "\\Z12\\f01" + StretchSite + " " + Data
			ModifyGraph lblPos( $StrAxis ) = 70, freePos( $StrAxis ) = 0
			ModifyGraph axisEnab( $StrAxis ) = { 0, .33 }
	
			AppendToGraph/T/R = $StrDataAxis StrSiteData vs StretchedCCSF	// Plots Stretched data on top third of graph
			Label $StrDataAxis "\\Z12\\f01Stretch_"+StretchSite+"_"+Data
			ModifyGraph lblPos( $StrDataAxis ) = 70, freePos( $StrDataAxis ) = 0
			ModifyGraph axisEnab( $StrDataAxis ) = { .66, 1 }
			ModifyGraph rgb( $BaseDataName ) = (0,0,65535), rgb( $StrDataName ) = ( 0, 0, 0)
		
			SetAxis Bottom 0, 30; SetAxis/Z Top 0, 30;
		SetDataFolder root:
			If( NumPnts( BaseTies ) ) // This makes sure that if there are "old" ties, that the graph reflects those points.
				Site_2_Site_Data_Stretch_F( BaseSite, StretchSite, Technique, Data )
			EndIf
			SetAxis Bottom 0, 30; SetAxis/Z Top 0, 30;		
			Cursor A, $BaseSite + "S_" + Technique + "_" + Data, 15
			Cursor B, $StretchSite + "S_" + Technique + "_" + Data, 15
			Set_Cursors_Red( )
			Label Bottom "\\Z14Stretch Site Original Depth"
			Label Top "\\Z14Base Site & Stretched Depth"	
			ModifyGraph lblMargin(top)=10,lblMargin(bottom)=10
			ModifyGraph gbRGB=(56797,56797,56797)
			ModifyGraph nticks(top)=10,minor(top)=1
			ModifyGraph nticks(bottom)=10,minor(bottom)=1
	End
	

