#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	*********************************************************
	
	Function Site_2_Site_Ties()
		SetDataFolder root:
			String/G G_BaseSite, G_StretchSite
			If( !StringMatch( S_Csr_Site( "A" ), G_BaseSite ) )	
				Abort "Cursor A is not on the Base Site."
			EndIf
			If( !StringMatch( S_Csr_Site( "B" ), G_StretchSite ) )	
				Abort "Cursor B is not on the Stretch Site."
			EndIf
			WAVE BaseTies, StretchTies
			WAVE/T TieType
		SetDataFolder root:Xtras:
			WAVE Ones, Numbers
			WAVE StretchVal = $"Stretch_" + DataWaveData( CsrWave( B ) ) + "_Val"
			WAVE BaseVal = $"Base_" + DataWaveData( CsrWave( A ) ) + "_Val"
		SetDataFolder root:
			PauseUpdate		
			InsertPoints 0, 1, BaseTies, StretchTies, TieType
			BaseTies[ 0 ] = HCsr( A )
			StretchTies[ 0 ] = HCsr( B )
			If( WaveDims( $CsrWave( A ) ) > 1 )
				TieType[0] = "Images"
			Else
				TieType[ 0 ] = DataWaveTechnique( CsrWave( A ) )
			EndIf
			Sort BaseTies StretchTies, TieType, BaseTies	
			Duplicate/O BaseTies Ones, Numbers
			Ones = .5
			Numbers = x
			Site_2_Site_Tie_Vals( )  // Calculates tie point positions on data plots.
			Site_2_Site_TieDeltaStr() // Calculates % expansion of shrikage between 2 sites and absolute value.
			Variable/G G_Tie1, G_Tie2 
			If( StrLen( WinList( "DeltaTiesGraph", ";", "" ) ) )
				DoWindow/F DeltaTiesGraph; SetAxis Bottom G_Tie1, G_Tie2
			EndIf
			If( StrLen( WinList( "TieStrGraph", ";", "" ) ) )
				DoWindow/F TieStrGraph; SetAxis Bottom G_Tie1, G_Tie2
			EndIf
	End	

	*********************************************************

