#pragma rtGlobals=1		// Use modern global access method.
	
	Function Make_Interpolated_Wave( )
		SetDataFolder root:
			PauseUpdate;
			String/G G_Data_Wave, G_Depth_Wave, G_DataFolder, G_DepthOrAge
			String Original_Data_Wave = G_Data_Wave, Original_Depth_Wave = G_Depth_Wave
			String DepthOrAge = G_DepthOrAge, DataFolder = G_DataFolder
			Variable/G G_Increment
			Variable Increment = G_Increment, Points
			Prompt DataFolder, "Data Folder:", popup, FolderList( "*" ) 
			Prompt DepthOrAge, "Interpolate for Depth or Age?", popup, "Depth;Age"
			DoPrompt "Make_Interpolated_Wave", DataFolder, DepthOrAge; AbortOnValue V_Flag, 0
			G_DataFolder = DataFolder; G_DepthOrAge = DepthOrAge
		SetDataFolder $DataFolder
			Prompt Original_Data_Wave, "Original_Data_Wave:", popup, Wavelist( "*", ";", "" )
			Prompt Original_Depth_Wave, "Depth or Age Wave:", popup, Wavelist( "*", ";", "" )
			Prompt Increment, "Increment (m or my):"
			DoPrompt "Make_Interpolated_Wave", Original_Data_Wave, Original_Depth_Wave, Increment; AbortOnValue V_Flag, 0
			G_Data_Wave = Original_Data_Wave; G_Depth_Wave = Original_Depth_Wave; 
			G_Increment = Increment; G_DataFolder = DataFolder
			WAVE DataWave = $Original_Data_Wave, DepthWave = $Original_Depth_Wave
			Wavestats/Q DepthWave
			Points = ( V_Max - V_Min ) / Increment
			If( StringMatch( DepthOrAge, "Depth" ) )
				Interpolate2/T = 1/N = ( Points )/F = 1/Y = $Original_Data_Wave + "_I" DepthWave, DataWave
				WAVE DataWave_I = $Original_Data_Wave + "_I"
			Else
				Interpolate2/T = 1/N = ( Points )/F = 1/Y = $Original_Data_Wave + "_IAge" DepthWave, DataWave
				WAVE DataWave_I = $Original_Data_Wave + "_IAge"
			EndIf
			If( !( StrSearch( WinList( "*", ";", "WIN:1" ) , "InterpolatedData", 0 ) + 1 )  )
				InputDataPlot( DataWave, DepthWave, DataWave_I )
			EndIf
		SetDataFolder root:
	EndMacro

	Function InputDataPlot( DataWave, DepthWave, DataWave_I ) : Graph
		WAVE DataWave, DepthWave, DataWave_I
		Display /W=( 570, 47, 1220, 374 ) DataWave vs DepthWave
		AppendToGraph DataWave_I
		ModifyGraph rgb[0] = ( 0, 0, 0 ), lsize[0] = 2		
		Legend/C/N = text0 /A = MB
		ShowInfo
		DoWindow/C InterpolatedData
	EndMacro
